@echo on

set RTCTREE_NAMESERVERS=127.0.0.1:2809
set NS=%RTCTREE_NAMESERVERS%
set VIEW_SIMULATOR_RTC=/%NS%/ViewSimulatorTest0.rtc
set FINGER_POSITION_RTC=/%NS%/FingerPositionTest0.rtc
set OBJECT_POSITION_RTC=/%NS%/ObjectPositionTest0.rtc
set RECOGNITION_SERVICE_RTC=/%NS%/RecognitionServiceTest0.rtc
set MARKER_RECOGNITION_RTC=/%NS%/MarkerRecognition0.rtc

set CMD=cmd.exe /c

cd /d %0\..

%CMD% start ViewSimulatorTestComp.exe
%CMD% start FingerPositionTestComp.exe
%CMD% start ObjectPositionTestComp.exe
%CMD% start RecognitionServiceTestComp.exe
%CMD% start MarkerRecognitionComp.exe

cd C:\Python26\Scripts

%CMD% rtcon %MARKER_RECOGNITION_RTC%:image %VIEW_SIMULATOR_RTC%:image
%CMD% rtcon %MARKER_RECOGNITION_RTC%:finger_position %FINGER_POSITION_RTC%:finger_position
%CMD% rtcon %MARKER_RECOGNITION_RTC%:object_position %OBJECT_POSITION_RTC%:object_position
%CMD% rtcon %MARKER_RECOGNITION_RTC%:recognition_service %RECOGNITION_SERVICE_RTC%:recognition_service

%CMD% rtact %VIEW_SIMULATOR_RTC%
%CMD% rtact %FINGER_POSITION_RTC%
%CMD% rtact %OBJECT_POSITION_RTC%
%CMD% rtact %RECOGNITION_SERVICE_RTC%
%CMD% rtact %MARKER_RECOGNITION_RTC%

%CMD% rtls /127.0.0.1:2809/ -lR
